.nav-container {
  display: none;
  position: fixed;
  top: var(--navbar-height);
  left: 0;
  width: 100%;
  font-size: 0.9375rem;
  z-index: var(--z-index-nav);
}

@media screen and (min-width: 769px) {
  .nav-container {
    width: var(--nav-width);
    font-size: 0.875rem;
  }
}

@media screen and (min-width: 1024px) {
  .nav-container {
    font-size: 0.8125rem;
    flex: none;
    display: block;
    position: static;
    top: 0;
  }
}

.nav-container.is-active {
  display: block;
}

.nav {
  background: var(--nav-background);
  position: relative;
  top: var(--toolbar-height);
  height: var(--nav-height-mobile);
}

@media screen and (min-width: 769px) {
  .nav {
    box-shadow: 0.5px 0 3px var(--nav-border-color);
  }
}

@media screen and (min-width: 1024px) {
  .nav {
    top: var(--navbar-height);
    box-shadow: none;
    position: sticky;
    height: var(--nav-height);
  }
}

.nav .panels {
  display: flex;
  flex-direction: column;
  height: inherit;
}

html.is-clipped--nav {
  overflow-y: hidden;
}

.nav-panel-menu {
  overflow-y: auto;
  display: flex;
  flex-direction: column;
  height: var(--nav-panel-height-mobile);
}

@media screen and (min-width: 1024px) {
  .nav-panel-menu {
    height: var(--nav-panel-height);
  }
}

.nav-panel-menu:not(.is-active) .nav-menu {
  opacity: 0.75;
}

.nav-panel-menu:not(.is-active)::after {
  content: "";
  background: rgba(0, 0, 0, 0.5);
  display: block;
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}

.nav-panel-menu::-webkit-scrollbar {
  width: 0.25rem;
}

.nav-panel-menu::-webkit-scrollbar-thumb {
  background-color: var(--nav-border-color);
}

.nav-menu {
  flex-grow: 1;
  min-height: 0;
  width: 100%;
  padding: 0.5rem 0.75rem;
  line-height: 1.35;
  position: relative;
}

.nav-menu h3.title {
  color: var(--nav-heading-font-color);
  font-size: inherit;
  font-weight: 500;
  margin: 0;
  padding: 0.25em 0 0.125em;
}

.nav-menu a {
  color: inherit;
}

.nav-list {
  margin: 0 0 0 0.8em;
  padding: 0;
}

.nav-menu > .nav-list {
  margin-bottom: 0.5rem;
}

.nav-item {
  list-style: none;
  margin-top: 0.5em;
}

/* adds some breathing room below a nested list */
.nav-item-toggle ~ .nav-list {
  padding-bottom: 0.125rem;
}

/* matches list without a title */
.nav-item[data-depth="0"] > .nav-list:first-child {
  display: block;
  margin: 0;
}

.nav-item:not(.is-active) > .nav-list {
  display: none;
}

.nav-item-toggle {
  background: transparent url(../img/caret.svg) no-repeat center;
  background-size: 55%;
  border: none;
  outline: none;
  position: absolute;
  height: 1.4em; /* NOTE must match line-height of text; slightly tweaked for alignment */
  width: 1.5em;
  margin-left: -1.5em;
}

.nav-item-toggle::-moz-focus-inner {
  border: none;
}

.nav-item.is-active > .nav-item-toggle {
  transform: rotate(90deg);
}

.is-current-page > .nav-link,
.is-current-page > .nav-text {
  font-weight: 500;
}

.nav-panel-explore {
  background: var(--nav-background);
  display: flex;
  flex-direction: column;
  position: absolute;
  right: 0;
  bottom: 0;
  left: 0;
  max-height: calc(50% + var(--drawer-height));
}

.nav-panel-explore .context {
  flex-shrink: 0;
  color: var(--nav-muted-color);
  box-shadow: 0 -1px 0 var(--nav-panel-divider-color);
  padding: 0 0.25rem 0 0.5rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
  cursor: pointer;
  line-height: 1;
  font-size: 0.8125rem;
  height: var(--drawer-height);
}

@media screen and (min-width: 1024px) {
  .nav-panel-explore .context {
    font-size: 0.75rem;
  }
}

.nav-panel-explore .context .version {
  background-image: url(../img/chevron.svg);
  background-repeat: no-repeat;
  background-position: right 0.5rem top 50%;
  background-size: auto 0.75em;
  padding: 0 1.5rem 0 0;
}

.nav-panel-explore .components {
  flex-grow: 1;
  box-shadow: inset 0 1px 5px var(--nav-panel-divider-color);
  background: var(--nav-secondary-background);
  padding: 0.5rem 0.5rem 0 0.5rem;
  margin: 0;
  overflow-y: auto;
  max-height: 100%;
  display: block;
}

.nav-panel-explore .component:last-child {
  margin-bottom: 0.75rem;
}

.nav-panel-explore:not(.is-active) .components {
  display: none;
}

.nav-panel-explore .component {
  display: block;
}

.nav-panel-explore .component + .component {
  margin-top: 0.5rem;
}

.nav-panel-explore .component .title {
  font-weight: 500;
}

.nav-panel-explore .versions {
  display: flex;
  flex-wrap: wrap;
  list-style: none;
  padding-left: 0.5rem;
}

.nav-panel-explore .component .version {
  display: block;
  font-size: 0.9375em;
}

.nav-panel-explore .component .version a {
  border: 1px solid var(--nav-border-color);
  border-radius: 0.25em;
  color: inherit;
  opacity: 0.75;
  white-space: nowrap;
  padding: 0.05em 0.25em 0;
}

.nav-panel-explore .component .is-current a {
  border-color: currentColor;
  opacity: 0.9;
  font-weight: 500;
}

/*
.nav-panel-explore .component .is-latest a::after {
  content: " (latest)";
}
*/

.nav-panel-explore .component .version + .version {
  padding-left: 0.375em;
}
